#ifndef GAMEWIDGET_H
#define GAMEWIDGET_H

#include <QWidget>
#include <QPainter>
#include "simulator.h"


class SimulatorWidget : public QWidget
{
    Q_OBJECT

public:
    SimulatorWidget(Simulator& simulator, QWidget *parent = 0);
    ~SimulatorWidget();
protected:
    void paintEvent(QPaintEvent *event);
private slots:
    void simulator_updated();
private:
    Simulator& simulator;
};

#endif // GAMEWIDGET_H
